argus (2:3.0.8.2-2.3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:20:02 +1100

argus (2:3.0.8.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add libtirpc-dev and libnsl-dev to Build-Depends (Closes: #1065179)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 17 Mar 2024 00:23:29 +0100

argus (2:3.0.8.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fno-strict-aliasing to workaround corrupted argus.out
    files due to aliasing violations, thanks to Andrea Galli and
    Marco d'Itri. (Closes: #1028081)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Feb 2023 18:15:42 +0200

argus (2:3.0.8.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Tiago Stürmer Daitx to use libtirpc.
    (Closes: #980016)
  * Homepage: https://openargus.org (Closes: #974760)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Nov 2021 18:45:39 +0200

argus (2:3.0.8.2-2) unstable; urgency=low

  * Fix FTBFS with gcc-10 (Closes: #957006)
  * Update debhelper dependency (Closes: #958583)
  * Update standards version

 -- Michael Stone <mstone@debian.org>  Wed, 29 Jul 2020 14:22:41 -0400

argus (2:3.0.8.2-1) unstable; urgency=low

  * New upstream version

 -- Michael Stone <mstone@debian.org>  Tue, 13 Sep 2016 07:28:21 -0400

argus (2:3.0.8.1-2) unstable; urgency=low

  * Build without sasl for now
  * Call systemd service "argus" rather than "argus-server"

 -- Michael Stone <mstone@debian.org>  Thu, 28 Apr 2016 10:55:12 -0400

argus (2:3.0.8.1-1) unstable; urgency=low

  * New maintainer
  * New upstream version
  * Remove ppp support scripts. May add them as examples in doc, but this
    is likely to be an uncommon enough configuration that it's not worth the
    additional startup configuration complexity in a post-systemd world
  * Use systemd service rather than init.d script
  * Enable sasl for remote access
  * Change default argus output to "argus.out" rather than "argus.log" to 
    mirror upstream behavior.
  * NEWS entry explaining compatibility constraints

 -- Michael Stone <mstone@debian.org>  Mon, 25 Apr 2016 15:18:14 -0400

argus (2:3.0.0-3.1) experimental; urgency=low

  * Non-maintainer upload.
  * Replace the private libpcap function pcap_offline_read
    with the proper pcap_dispatch function.
    Add use-pcap_dispatch.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>
    Closes: #599972.
  * Remove argus_get_leng.
    These changes are included in newer, (3.0.2) argus version.
    Add remove-argus_get_leng.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>
    Closes: #749578.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 28 May 2014 13:34:20 +0100

argus (2:3.0.0-3) experimental; urgency=low

  * debian/rules: make /var/log/argus 750 again

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Jun 2009 23:15:36 -0700

argus (2:3.0.0-2) experimental; urgency=low

  * debian/rules: general cleanup
  * debian/copyright: added correct copyright information
  * debian/control: build-depend on debhelper 7

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Jun 2009 23:07:02 -0700

argus (2:3.0.0-1) experimental; urgency=low

  * New upstream release (just for Rick)
  * debian/prerm: stop removing /usr/sbin/argus on upgrade (closes: #522333)
  * debian/argus-server.{config,postrm}: make set -e
  * debian/compat: increase to 5
  * debian/rules: adjusted invokation of "make clean" in clean target
  * debian/control: remove build dependency on devscripts, adjust debhelper
    version dependency
  * debian/control: bumped Standards-Version to 3.8.2

 -- Andrew Pollock <apollock@debian.org>  Sat, 27 Jun 2009 15:08:38 -0700

argus (1:3.0.0.rc.34-1) experimental; urgency=low

  * New upstream release (just for Rick)

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Nov 2006 22:30:13 -0800

argus (1:3.0.0.rc.33-1) experimental; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Tue, 17 Oct 2006 22:25:24 -0700

argus (1:3.0.0.rc.30-1) experimental; urgency=low

  * New upstream release
  * debian/argus-server.init: made LSB-compliant

 -- Andrew Pollock <apollock@debian.org>  Sun,  1 Oct 2006 14:22:11 -0700

argus (1:3.0.0.rc.26-1) experimental; urgency=low

  * New upstream release
  * debian/argus.conf: set ARGUS_SET_PID to yes
  * debian/argus-server.init: rework to handle new PID file behaviour

 -- Andrew Pollock <apollock@debian.org>  Sun, 20 Aug 2006 15:06:55 -0700

argus (1:3.0.0.rc.14-1) experimental; urgency=low

  * New upstream release
  * debian/rules: dh_link call to create argus -> argus_linux symlink no
    longer required (closes: #377274)
  * debian/argus-server.install: the binary is now called argus

 -- Andrew Pollock <apollock@debian.org>  Sat,  8 Jul 2006 10:03:17 -0700

argus (1:3.0.0.rc.10-1) experimental; urgency=low

  * New upstream release
  * debian/argus-server.prerm: use invoke-rc.d
  * debian/control: bumped Standards-Version to 3.7.2 (no changes)

 -- Andrew Pollock <apollock@debian.org>  Tue, 20 Jun 2006 15:39:31 -0700

argus (1:2.0.6.fixes.1-11) unstable; urgency=low

  * debian/argus.conf: ship with ARGUS_MONITOR_ID set instead of
    the deprecated ARGUS_MONITOR_DATA (closes: #345805)
  * Added Portuguese debconf template translation (Obrigado Miguel Figueiredo)
    (closes: #337544)

 -- Andrew Pollock <apollock@debian.org>  Sat,  7 Jan 2006 21:52:26 -0800

argus (1:2.0.6.fixes.1-10) unstable; urgency=low

  * Added Spanish debconf template translation (Gracias César Gómez Martín)
    (closes: #333876)

 -- Andrew Pollock <apollock@debian.org>  Fri, 14 Oct 2005 19:30:14 +1000

argus (1:2.0.6.fixes.1-9) unstable; urgency=low

  * Added Swedish debconf template translation (Tack Daniel Nylander) (closes:
    #330939)

 -- Andrew Pollock <apollock@debian.org>  Sat,  1 Oct 2005 18:57:04 +1000

argus (1:2.0.6.fixes.1-8) unstable; urgency=low

  * debian/control: Removed explicit dependency on debconf and used
    ${misc:Depends} instead.
  * debian/argus-server.config: removed bashism
  * debian/control: Bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Wed, 10 Aug 2005 22:21:27 +1000

argus (1:2.0.6.fixes.1-7) unstable; urgency=low

  * debian/control: make argus-server depend on debconf | debconf-2.0

 -- Andrew Pollock <apollock@debian.org>  Thu,  4 Aug 2005 15:20:57 +1000

argus (1:2.0.6.fixes.1-6) unstable; urgency=low

  * debian/rules: actually pass CFLAGS to configure

 -- Andrew Pollock <apollock@debian.org>  Tue, 21 Jun 2005 23:01:22 +1000

argus (1:2.0.6.fixes.1-5) unstable; urgency=low

  * Added Vietnamese template translation (Cám ón Clytie Siddall) (closes:
    #313115)

 -- Andrew Pollock <apollock@debian.org>  Sun, 12 Jun 2005 22:47:19 +1000

argus (1:2.0.6.fixes.1-4) unstable; urgency=high

  * debian/{argus-server.conf,postinst}: quoted some unquoted variables
    that caused ugliness when installed with DEBIAN_FRONTEND=noninteractive
    (closes: #308211)
  * debian/control: add dependency on net-tools (closes: #308242)

 -- Andrew Pollock <apollock@debian.org>  Mon,  9 May 2005 08:55:35 +1000

argus (1:2.0.6.fixes.1-3) unstable; urgency=low

  * Added Czech template translation (diky Miroslav Kure) (closes: #297599)

 -- Andrew Pollock <apollock@debian.org>  Wed,  2 Mar 2005 08:38:40 +1100

argus (1:2.0.6.fixes.1-2) unstable; urgency=high

  * Upload targetted at sarge to fix RC bug
  * debian/postrm: don't do things twice, so purging works properly (closes:
    #295614)
  * debian/prerm: corrected name of init script
  * debian/postrm: remove rc.d symlinks on remove, not purge

 -- Andrew Pollock <apollock@debian.org>  Thu, 17 Feb 2005 11:58:55 +1100

argus (1:2.0.6.fixes.1-1) unstable; urgency=low

  * The "Will this make the release of sarge in time?" release
  * New upstream release
  * Hideous upstream version numbering scheme requires an epoch :-(

 -- Andrew Pollock <apollock@debian.org>  Mon, 16 Aug 2004 09:58:42 +1000

argus (2.0.6.rc4-4) unstable; urgency=low

  * The "Shame on me for not knowing how the maintainer scripts work" release
  * debian/postinst: really do remove /etc/logrotate.d/argus left lying around
    after 2.0.6.rc3-2 (closes: #261568)

 -- Andrew Pollock <apollock@debian.org>  Tue, 27 Jul 2004 12:12:47 +1000

argus (2.0.6.rc4-3) unstable; urgency=low

  * debian/postinst: remove /etc/logrotate.d/argus left lying around after
    2.0.6.rc3-2
  * Include the support directory from the source in
    /usr/share/doc/argus-server

 -- Andrew Pollock <apollock@debian.org>  Tue, 29 Jun 2004 10:52:47 +1000

argus (2.0.6.rc4-2) unstable; urgency=low

  * Added German template translation (danke Erik Schanze) (closes: #250571)

 -- Andrew Pollock <apollock@debian.org>  Tue,  8 Jun 2004 10:23:22 +1000

argus (2.0.6.rc4-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Wed,  5 May 2004 17:44:57 +1000

argus (2.0.6.rc3-2) unstable; urgency=low

  * The "Let's frig with debian/rules" release
  * Added Dutch template translation (bedankt Luk Claes) (closes: #244634)
  * debian/control: Bumped debhelper Build-Dep to 4.1.68
  * debian/rules: Having another crack at using dh_installppp (closes:
    #212860)
  * debian/rules: Run debhelper at V4 compatibility mode (careful now)
  * debian/rules: Replaced dpkg-shlibdeps and dpkg-gencontrol calls with
    debhelper equivalents
  * debian/rules: call init script argus-server, and install it with
    dh_installinit instead of by hand

 -- Andrew Pollock <apollock@debian.org>  Thu, 22 Apr 2004 17:34:08 +1000

argus (2.0.6.rc3-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Tue, 13 Apr 2004 17:26:42 +1000

argus (2.0.6.rc2-2) unstable; urgency=low

  * Updated config/config.{guess,sub} to what is in autotools-dev 20040105.1
    to resolve powerpc build issue

 -- Andrew Pollock <apollock@debian.org>  Mon, 12 Apr 2004 17:03:25 +1000

argus (2.0.6.rc2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: make the symlink without the ./
  * Bumped Standards-Verion (no changes)

 -- Andrew Pollock <apollock@debian.org>  Sun, 28 Mar 2004 10:13:44 +1000

argus (2.0.6.beta.13-5) unstable; urgency=low

  * debian/po/ja.po: use anatomically correct file (closes: #235344)

 -- Andrew Pollock <apollock@debian.org>  Sun, 29 Feb 2004 09:47:08 +1100

argus (2.0.6.beta.13-4) unstable; urgency=low

  * Added Japanese translation (thanks Hideki Yamane) (closes: #234090)

 -- Andrew Pollock <apollock@debian.org>  Sun, 22 Feb 2004 19:59:59 +1100

argus (2.0.6.beta.13-3) unstable; urgency=low

  * Added Brazilian Portuguese debconf template translation (thanks Andre Luis
    Lopes) (closes: #228286)
  * debian/rules: removed target to update autotools files automatically

 -- Andrew Pollock <apollock@debian.org>  Sun, 25 Jan 2004 23:17:03 +1100

argus (2.0.6.beta.13-2) unstable; urgency=low

  * debian/control: added autotools-dev and devscripts to Build-Depends
  * debian/rules: added target to update autotools files automatically
  * GNU config automated update: config.sub (20020905 to 20030717),
    config.guess (20020903 to 20030702)

 -- root <root@caesar.andrew.net.au>  Wed, 20 Aug 2003 15:18:52 +1000

argus (2.0.6.beta.13-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Wed, 20 Aug 2003 12:57:07 +1000

argus (2.0.6.beta.12-5) unstable; urgency=low

  * Fixed Build-Depend
  * Unfixed debian/templates errors not introduced in previous revision

 -- Andrew Pollock <apollock@debian.org>  Tue, 19 Aug 2003 21:17:58 +1000

argus (2.0.6.beta.12-4) unstable; urgency=low

  * Incorporated French debconf template (closes: #206160)
  * Fixed debian/templates errors introduced in previous revision

 -- Andrew Pollock <apollock@debian.org>  Tue, 19 Aug 2003 20:03:22 +1000

argus (2.0.6.beta.12-3) unstable; urgency=low

  * Switched to gettext-based debconf templates (closes: #205781)

 -- Andrew Pollock <apollock@debian.org>  Sun, 17 Aug 2003 09:38:28 +1000

argus (2.0.6.beta.12-2) unstable; urgency=low

  * debian/postinst: rejigged to use invoke-rc.d
  * bumped Standards-Version
  * Commented out @SET_MAKE@ call in Makefile.in until I figure out something
    better to get a "make clean" to work

 -- Andrew Pollock <apollock@debian.org>  Sat,  9 Aug 2003 10:10:21 +1000

argus (2.0.6.beta.12-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Fri, 18 Jul 2003 12:28:36 +1000

argus (2.0.6.beta.10-1) unstable; urgency=low

  * New upstream release
  * Upstream have removed ambiguous functionality (closes: #192826, #192995)

 -- Andrew Pollock <apollock@debian.org>  Fri, 11 Jul 2003 09:21:26 +1000

argus (2.0.6.beta.9-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Mon, 23 Jun 2003 21:47:51 +1000

argus (2.0.6.beta.8-1) unstable; urgency=low

  * New upstream release
  * The "Damn, it can't count properly!" release
  * Fixed invokation so that configuration doesn't get read twice

 -- Andrew Pollock <me@andrew.net.au>  Tue,  1 Apr 2003 15:49:50 +1000

argus (2.0.6.beta.5-4) unstable; urgency=low

  * Reworked debian/rules to be more 3.5.8 policy (11.1) compliant

 -- Andrew Pollock <me@andrew.net.au>  Sun,  2 Mar 2003 17:41:55 +1100

argus (2.0.6.beta.5-3) unstable; urgency=low

  * Bumped Standards-Version
  * Depends on debconf (>= 1.2.9)

 -- Andrew Pollock <me@andrew.net.au>  Sun,  5 Jan 2003 11:11:07 +1100

argus (2.0.6.beta.5-2) unstable; urgency=low

  * Postinst shuts down running instance on upgrade (closes: #172813)

 -- Andrew Pollock <me@andrew.net.au>  Sun,  5 Jan 2003 09:55:01 +1100

argus (2.0.6.beta.5-1) unstable; urgency=low

  * New upstream release
  * Should build correctly on Alpha now (closes: #153994)

 -- Andrew Pollock <me@andrew.net.au>  Mon,  2 Dec 2002 18:28:00 +1100

argus (2.0.6.beta.4-1) unstable; urgency=low

  * The "I can't get no sleep" release
  * Fixed problems with init script checking if argus was already running
  * Bugs fixed in previous versions that were not uploaded:
    (closes: 168935, 153994, 159014, 99697, 156196, 161864)

 -- Andrew Pollock <me@andrew.net.au>  Sat, 23 Nov 2002 00:44:37 +1100

argus (2.0.6.beta.4-0) unstable; urgency=low

  * New upstream release
  * Works with latest libpcap on PPP interfaces (closes: #168935)

 -- Andrew Pollock <me@andrew.net.au>  Mon, 18 Nov 2002 18:14:04 +1100

argus (2.0.6.beta.1-2) unstable; urgency=low

  * New maintainer
  * Incorporate NMU from Torsten Landschoff to have the Makefile detect 
    errors in subdirectories and to fix the FTBFS problem (closes: #153994,
    #159014)
  * NMU to fix #99697 should be incorporated (closes: #99697)
  * Incorporate NMU to fix libpcap change (closes: #156196)
  * Removes /etc/default/argus-server on purge (closes: #161864)
  * Fixed some Lintian uncleanliness

 -- Andrew Pollock <me@andrew.net.au>  Wed, 13 Nov 2002 23:03:24 +1100
 
argus (2.0.6.beta.1-1.2) unstable; urgency=low

  * Non maintainer upload for bug squashing party.
  * Apply patch from Goswin Brederlow to have the Makefile detect 
    errors in subdirectories and to fix the FTBFS problem (closes: #153994).

 -- Torsten Landschoff <torsten@debian.org>  Sat, 31 Aug 2002 19:13:56 +0200

argus (2.0.6.beta.1-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:42 +0200

argus (2.0.6.beta.1-1) unstable; urgency=low

  * New upstream release
  * Agh. Fixed duplicate records problem. argus should not read 
    /etc/argus.conf on invokation, unless specified with the -F switch.
     Closes: Bug#149997
  * Now using -n to generate PID files.

 -- Yotam Rubin <yotamr@bezeqint.net>  Mon, 17 Jun 2002 16:05:25 +0300

argus (2.0.5.beta.5-4) unstable; urgency=low

  * Updated contact address. 

 -- Yotam Rubin <yotamr@bezeqint.net>  Wed, 22 May 2002 16:19:10 +0300

argus (2.0.5.beta.5-3) unstable; urgency=low

  * Fixed postinst failure when no PPP interfaces are present.
    Closes: Bug#137884

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Mon, 11 Mar 2002 20:26:31 +0200

argus (2.0.5.beta.5-2) unstable; urgency=low

  * The "Mommy Please Don't Hurt Me" release.
  * Stopped using start-stop-daemon, it fails to properly distinguish between
    several instances of argus.
  * Added debconf support to allow selection between three modes of startup.
  * Rehauled the postinst to deal with various situations.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Thu, 28 Feb 2002 14:37:50 +0200

argus (2.0.5.beta.5-1) unstable; urgency=low

  * New upstream release
  * Added -n option to enable the generation of PID files via the command 
    line.
  * Added -c option to specify location of PID file.
  * Updated the manual page to reflect the new functionality.
  * Added argus to the ppp run-parts.
  * All of the above will hopefully be merged into the next upstream release.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed, 27 Feb 2002 17:25:32 +0200

argus (2.0.4-2) unstable; urgency=low

  * Replaced the argus wrapper with a symlink. 

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Mon, 11 Feb 2002 23:37:24 +0200

argus (2.0.4-1) unstable; urgency=low

  * New upstream release
  * This upstream release fixes the PPP bug on Linux. Closes: Bug#115540

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Tue, 25 Dec 2001 15:19:56 +0200

argus (2.0.3-5) unstable; urgency=low

  * Fixed /usr/sbin/argus to pass command line arguments to the actual
    binary.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sun, 23 Dec 2001 23:46:05 +0200

argus (2.0.3-4) unstable; urgency=low

  * Fixed build problem on alpha. Closes: Bug#123366

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed, 12 Dec 2001 03:04:54 +0200

argus (2.0.3-3) unstable; urgency=low

  * Fixed logrotate file.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sun, 11 Nov 2001 02:22:34 +0200

argus (2.0.3-2) unstable; urgency=low

  * Added Build Depends on flex. Closes: Bug#116529

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sun, 21 Oct 2001 19:38:21 +0200

argus (2.0.3-1) unstable; urgency=low

  * Fixed typo in /etc/init.d/argus' configuration reloading section.
    Closes: Bug#115534.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sun, 14 Oct 2001 19:57:32 +0200

argus (2.0.2.beta.5) unstable; urgency=low

  * New upstream release.
  * argus-client now has its own source package.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed, 18 Jul 2001 06:07:31 +0300

argus (2.0.1-3) unstable; urgency=low

  * Updated config.sub and config.guess, thereby resolving the hppa build 
    problem. Closes: Bug#104924

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Mon, 16 Jul 2001 02:36:14 +0300

argus (2.0.1-2) unstable; urgency=low

  * Hopefully fixed build problems. Closes: Bug#99697
  * Corrected /etc/logrotate.d/argus
  * Updated /etc/argus.conf to exhibit 2.0.1's functionality.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Tue,  5 Jun 2001 14:48:14 +0300

argus (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sat,  5 May 2001 11:30:47 +0300

argus (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Argus is now disabled by default.
  * Configure script now properly locates libwrap header files.
  * Added manpage for argus_linux.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed,  16 Mar 2001 8:23:57 +0200

argus (1.8.1-2) unstable; urgency=low

  * Corrected typo in /etc/init.d/argus.
  * /etc/init.d/argus does not ignore $ADDITIONAL anymore.
  * Other cosmetical changes to /etc/init.d/argus.
  * Separated build directories for argus-client and argus-server.
  * Corrected minor bugs in debian/rules.
  * Replaced '-' with '.' in order to denote a new line.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed,  7 Feb 2001 15:36:05 +0200

argus (1.8.1-1) unstable; urgency=low

  * First Debian release

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Fri, 12 Jan 2001 13:21:45 +0200
